#ifndef ENOR_H_INCLUDED
#define ENOR_H_INCLUDED

#include <fstream>

#include "kaktusz.h"

class cactusEnor
{
public:
    enum Status {norm, abnorm};

    cactusEnor(std::string fname) : file(fname.c_str()) {}

    void read(Status& sx, cactus& dx);

    void First(){ read(sx, dx); }
    void Next(){ read(sx, dx); }
    cactus Current(){ return dx; }
    bool End(){ return sx==abnorm; }

private:
    std::ifstream file;

    cactus dx;
    Status sx;

};

#endif // ENOR_H_INCLUDED
