#include <iostream>
#include <vector>

#include "kaktusz.h"
#include "enor.h"

using namespace std;

cactus feltmaxker1(cactusEnor& e);
cactus feltmaxker2(cactusEnor& e);


int main()
{
    cactusEnor e1("input.txt");

    cactus c1 = feltmaxker1(e1);

    cout << c1.nev << endl;

    cactusEnor e2("input.txt");

    cactus c2 = feltmaxker2(e2);

    cout << c2.nev << endl;

    return 0;
}

// 1. feltmaxker: read művelettel
cactus feltmaxker1(cactusEnor& e)
{
    cactusEnor::Status st = cactusEnor::norm;
    //std::vector<cactus> vec;
    cactus c;
    e.read(st, c);
    cactus maxcactus;
    bool l = false;

    while(st == cactusEnor::norm)
    {
        if(!l && c.orszag == "Mexiko")
        {
            maxcactus = c;
            l = true;
        }
        else if(l
                && c.orszag == "Mexiko"
                && c.magassag > maxcactus.magassag)
        {
            maxcactus = c;
        }
        //vec.push_back(c);
        e.read(st, c);
    }
    return maxcactus;
}

// 2. feltmaxker: felsorolósan
cactus feltmaxker2(cactusEnor& e)
{
    e.First();
    cactus maxcactus;
    bool l = false;

    while(!e.End())
    {
        cactus c = e.Current();
        if(!l && c.orszag == "Mexiko")
        {
            maxcactus = c;
            l = true;
        }
        else if(l
                && c.orszag == "Mexiko"
                && c.magassag > maxcactus.magassag)
        {
            maxcactus = c;
        }
        e.Next();
    }
    return maxcactus;
}
